node package manager

passport-swagger-auth

The project provides various tools for integrating and interacting with Swagger. This project is in its infancy but what is within the repository should be fully tested and reusable. Please visit the [issue tracker][project-issues] to see what issues we are aware of and what features/enhancements we are working on. Otherwise, feel free to review the [Release Notes][release-notes] to see what is new and improved.

Project Badges

Join the chat at https://gitter.im/apigee-127/swagger-tools

  • Build status: Build Status
  • Dependencies: Dependencies
  • Developer dependencies: Dev Dependencies
  • Downloads: NPM Downloads Per Month
  • License: License
  • Bower Version NPM Version
  • NPM Version: NPM Version

Supported Swagger Versions

  • [1.2][swagger-docs-v1_2]
  • [2.0][swagger-docs-v2_0]

Features

  • Simple CLI
    • Validate Swagger document(s)
    • Convert Swagger 1.2 documents to Swagger 2.0
  • Schema validation: For the file(s) supported by the Swagger specification, ensure they pass structural validation based on the [JSON Schema][json-schema] associated with that version of the specification (Browser and Node)
  • Semantic validation: Validates Swagger files above and beyond the structure of the file (Browser and Node)
  • Connect middleware for adding pertinent Swagger information to your requests (Node only)
  • Connect middleware for wiring up security handlers for requests based on Swagger documentation (Node only)
  • Connect middleware for wiring request handlers to requests based on Swagger documentation (Node only)
  • Connect middleware for serving your Swagger documents and [Swagger UI][swagger-ui] (Node only)
  • Connect middleware for using Swagger resource documents for pre-route validation (Node only)
    • Validate the request/response Content-Type based on the operation's consumes/produces value(s)
    • Validate the request parameter types
    • Validate the request parameter values
    • Validate the response values

Installation

Swagger Tools is available for both Node.js and the browser. Installation instructions for each environment are below.

Browser

Installation for browser applications can be done via [Bower][bower] or by downloading a standalone binary.

Using Bower

 
#### Standalone Binaries
 
The standalone binaries come in two flavors:
 
* [swagger-tools-standalone.js](https://raw.github.com/apigee-127/swagger-tools/master/browser/swagger-tools-standalone.js): _2,280kb_, full source _(including all dependencies)_ and source maps
* [swagger-tools-standalone-min.js](https://raw.github.com/apigee-127/swagger-tools/master/browser/swagger-tools-standalone-min.js): _316kb_, minified, compressed
and no sourcemap
 
### Node.js
 
Installation for Node.js applications can be done via [NPM][npm].
 

npm install passport-swagger-auth --save

 
If you want to use the `swagger-tools` executable for validating Swagger documents, you can install swagger-tools
globally using the following:
 

npm install -g passport-swagger-auth

 
## Documentation
 
swagger-tools is heavily documented so head on over to the project  [documentation][documentation] or jump straight to
the [Quick Start][quick-start].
 
## Contributing
 
This project uses [Gulp][gulp] for building so `npm install -g gulp` once you clone this project.  Running `gulp` in the
project root will lint check the source code and run the unit tests.
 
[bower]: http://bower.io/
[documentation]: https://github.com/apigee-127/swagger-tools/blob/master/docs/README.md
[gulp]: http://gulpjs.com/
[json-schema]: http://json-schema.org/
[npm]: https://www.npmjs.org/
[project-issues]: https://github.com/apigee/swagger-tools/issues
[quick-start]: https://github.com/apigee-127/swagger-tools/blob/master/docs/QuickStart.md
[release-notes]: https://github.com/apigee-127/swagger-tools/blob/master/RELEASE_NOTES.md
[swagger]: http://swagger.io/
[swagger-docs-v1_2]: https://github.com/swagger-api/swagger-spec/blob/master/versions/1.2.md
[swagger-docs-v2_0]: https://github.com/swagger-api/swagger-spec/blob/master/versions/2.0.md
[swagger-ui]: https://github.com/swagger-api/swagger-ui